Bug 79324 - FrameDestructionObserver should be renamed to FrameObserver
: FrameDestructionObserver should be renamed to FrameObserver
Status: RESOLVED WONTFIX
Product: WebKit
Classification: Unclassified
Component: HTML DOM
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 78440
  Show dependency treegraph
 
Reported: 2012-02-22 20:38 PST by Hajime Morrita
Modified: 2012-03-01 09:34 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hajime Morrita 2012-02-22 20:38:33 PST
Dual of Bug 78443.
Comment 1 Alexey Proskuryakov 2012-02-23 10:29:10 PST
Why? FrameObserver is such a generic name that it means nothing.
Comment 2 Adam Barth 2012-02-23 11:46:01 PST
We can keep the current name if that's what folks prefer.  I was just worried that willDisconnectPage isn't directly related to destruction, but maybe it's close enough.
Comment 3 Mustafizur Rahaman( :rahaman) 2012-03-01 03:04:03 PST
I was just wondering based on the above comment that is this change needed? Then I can propose a simple patch, otherwise we can move this issue to Invalid/Wont Fix...
Comment 4 Adam Barth 2012-03-01 09:34:32 PST
Let's mark it WONTFIX for now.  We might change the name in the future if we find that we want to observe more things about frames.